Bug 1044212 - IDL-style can become mismatched during partial restoration
Summary: IDL-style can become mismatched during partial restoration
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1109387
TreeView+ depends on / blocked
 
Reported: 2013-12-17 22:23 UTC by Nathan Kinder
Modified: 2015-03-05 09:33 UTC (History)
2 users (show)

(edit)
Cause: There was a bug in partial restoration (bak2db -n <backend>) -- ignoring special indexing compare functions instead always calling the default compare function.

Consequence: The order of the restored index got confused.

Fix: Changed to set the expected compare function when needed.

Result: After running a partial restoration, there is no more indexing problem.
Clone Of:
: 1109387 (view as bug list)
(edit)
Last Closed: 2015-03-05 09:33:10 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Nathan Kinder 2013-12-17 22:23:39 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47463

When doing a partial/FRI restoration the database files are copied key-by-key.  This is necessary to reset the LSNs so the restored files can merge into the existing DB environment (cf. dblayer_copy_file_resetlsns()) in a recoverable way.

However, dblayer_copy_file_keybykey() does not set the comparison function before calling DB->put(), which means that the restored files will not necessarily be using the proper function.

While all the keys are technically present, indexed searches can still fail to return relevant results because the key order is significant when intersecting the results with the other indices.

How to reproduce:

Backup a database and do a partial restoration.  Use dbscan to compare the key order of the backup vs the restored copy.

#Broken
$ dbscan -r -f <file>
256 512 257 513 258 514 259 515 260 516 261 ...

#Working
$ dbscan -r -f <file>
15 16 17 18 19 20 21 22 23 24 25 26 ...

Comment 1 Noriko Hosoi 2014-06-18 00:54:48 UTC
Steps to reproduce is provided in the original comment.

Regarding the partial restoration, see this doc:
https://access.redhat.com/site/documentation/en-US/Red_Hat_Directory_Server/9.0/html/Configuration_Command_and_File_Reference/Shell_Scripts.html#Shell_Scripts-bak2db_Restore_database_from_backup

To check the dbscan output, a script is provided. (NOTE: you may need to edit the script to adjust the current version)
https://fedorahosted.org/389/attachment/ticket/47463/bakchk.sh

Comment 3 Amita Sharma 2014-12-26 13:25:38 UTC
[root@dhcp201-126 /]# rpm -qa | grep 389
389-ds-base-1.3.3.1-10.el7.x86_64
389-ds-base-debuginfo-1.3.3.1-10.el7.x86_64
389-ds-base-libs-1.3.3.1-10.el7.x86_64

[root@dhcp201-126 /]# cd /usr/lib64/dirsrv/slapd-dhcp201-126/
[root@dhcp201-126 slapd-dhcp201-126]# ./db2bak
Back up directory: /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30
[26/Dec/2014:18:48:31 +051800] - Backing up file 1 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/id2entry.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/id2entry.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/id2entry.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 2 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/entryrdn.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/entryrdn.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/entryrdn.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 3 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/parentid.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/parentid.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/parentid.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 4 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/uniquemember.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/uniquemember.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/uniquemember.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 5 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/nsuniqueid.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/nsuniqueid.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/nsuniqueid.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 6 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/objectclass.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/objectclass.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/objectclass.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 7 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/cn.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/cn.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/cn.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 8 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/aci.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/aci.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/aci.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 9 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/numsubordinates.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/numsubordinates.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/numsubordinates.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 10 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/ancestorid.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/ancestorid.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/ancestorid.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 11 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/DBVERSION)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/DBVERSION to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/DBVERSION
[26/Dec/2014:18:48:31 +051800] - Backing up file 12 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/log.0000000001)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/log.0000000001 to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/log.0000000001
[26/Dec/2014:18:48:31 +051800] - Backing up file 13 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/DBVERSION)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/DBVERSION to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/DBVERSION
[26/Dec/2014:18:48:31 +051800] - All database threads now stopped


[root@dhcp201-126 /]# cd /usr/lib64/dirsrv/slapd-dhcp201-126/
[root@dhcp201-126 slapd-dhcp201-126]# ./db2bak
Back up directory: /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30
[26/Dec/2014:18:48:31 +051800] - Backing up file 1 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/id2entry.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/id2entry.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/id2entry.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 2 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/entryrdn.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/entryrdn.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/entryrdn.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 3 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/parentid.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/parentid.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/parentid.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 4 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/uniquemember.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/uniquemember.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/uniquemember.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 5 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/nsuniqueid.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/nsuniqueid.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/nsuniqueid.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 6 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/objectclass.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/objectclass.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/objectclass.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 7 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/cn.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/cn.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/cn.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 8 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/aci.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/aci.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/aci.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 9 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/numsubordinates.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/numsubordinates.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/numsubordinates.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 10 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/ancestorid.db)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/ancestorid.db to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/ancestorid.db
[26/Dec/2014:18:48:31 +051800] - Backing up file 11 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/DBVERSION)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/DBVERSION to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/DBVERSION
[26/Dec/2014:18:48:31 +051800] - Backing up file 12 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/log.0000000001)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/log.0000000001 to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/log.0000000001
[26/Dec/2014:18:48:31 +051800] - Backing up file 13 (/var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/DBVERSION)
[26/Dec/2014:18:48:31 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/DBVERSION to /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/DBVERSION
[26/Dec/2014:18:48:31 +051800] - All database threads now stopped
[root@dhcp201-126 slapd-dhcp201-126]# ./bak2db /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/ -n rootdse
[26/Dec/2014:18:49:27 +051800] - Unable to import the database because it is being used by another slapd process.
[26/Dec/2014:18:49:27 +051800] - Shutting down due to possible conflicts with other slapd processes
[root@dhcp201-126 slapd-dhcp201-126]# /usr/lib64/dirsrv/slapd-dhcp201-126/stop-slapd [root@dhcp201-126 slapd-dhcp201-126]# ./bak2db /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/ -n rootdse
[26/Dec/2014:18:49:44 +051800] - archive2db: backend "rootdse" does not exist.
[root@dhcp201-126 slapd-dhcp201-126]# ./bak2db /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/ -n userRoot
[26/Dec/2014:18:50:48 +051800] - I'm resizing my cache now...cache was 6400000 and is now 5120000
[26/Dec/2014:18:50:48 +051800] - All database threads now stopped
[26/Dec/2014:18:50:48 +051800] - Moving file /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot
[26/Dec/2014:18:50:48 +051800] - Moving file /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/id2entry.db
[26/Dec/2014:18:50:48 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/id2entry.db to /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/id2entry.db
[26/Dec/2014:18:50:48 +051800] - Moving file /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/entryrdn.db
[26/Dec/2014:18:50:48 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/entryrdn.db to /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/entryrdn.db
[26/Dec/2014:18:50:48 +051800] - Moving file /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/parentid.db
[26/Dec/2014:18:50:48 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/parentid.db to /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/parentid.db
[26/Dec/2014:18:50:48 +051800] - Moving file /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/uniquemember.db
[26/Dec/2014:18:50:48 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/uniquemember.db to /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/uniquemember.db
[26/Dec/2014:18:50:49 +051800] - Moving file /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/nsuniqueid.db
[26/Dec/2014:18:50:49 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/nsuniqueid.db to /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/nsuniqueid.db
[26/Dec/2014:18:50:49 +051800] - Moving file /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/objectclass.db
[26/Dec/2014:18:50:49 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/objectclass.db to /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/objectclass.db
[26/Dec/2014:18:50:49 +051800] - Moving file /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/cn.db
[26/Dec/2014:18:50:49 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/cn.db to /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/cn.db
[26/Dec/2014:18:50:49 +051800] - Moving file /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/aci.db
[26/Dec/2014:18:50:49 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/aci.db to /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/aci.db
[26/Dec/2014:18:50:49 +051800] - Moving file /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/numsubordinates.db
[26/Dec/2014:18:50:49 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/numsubordinates.db to /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/numsubordinates.db
[26/Dec/2014:18:50:49 +051800] - Moving file /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/ancestorid.db
[26/Dec/2014:18:50:49 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/ancestorid.db to /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/ancestorid.db
[26/Dec/2014:18:50:49 +051800] - Moving file /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/DBVERSION
[26/Dec/2014:18:50:49 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/DBVERSION to /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/DBVERSION
[26/Dec/2014:18:50:49 +051800] - Moving file /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/log.0000000001
[26/Dec/2014:18:50:49 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/log.0000000001 to /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/log.0000000001
[26/Dec/2014:18:50:49 +051800] - Moving file /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/DBVERSION
[26/Dec/2014:18:50:49 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/DBVERSION to /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/DBVERSION
[26/Dec/2014:18:50:49 +051800] - Moving file /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/dse_instance.ldif
[26/Dec/2014:18:50:49 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/dse_instance.ldif to /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/dse_instance.ldif
[26/Dec/2014:18:50:49 +051800] - Moving file /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/dse_index.ldif
[26/Dec/2014:18:50:49 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/dse_index.ldif to /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/dse_index.ldif
[26/Dec/2014:18:50:49 +051800] - Removing file /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/log.0000000001 from staging area
[26/Dec/2014:18:50:49 +051800] - Removing file /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/DBVERSION from staging area
[26/Dec/2014:18:50:49 +051800] - Restoring file 1 (/var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/id2entry.db)
[26/Dec/2014:18:50:49 +051800] - Restoring file 2 (/var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/entryrdn.db)
[26/Dec/2014:18:50:49 +051800] - Restoring file 3 (/var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/parentid.db)
[26/Dec/2014:18:50:49 +051800] - Restoring file 4 (/var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/uniquemember.db)
[26/Dec/2014:18:50:50 +051800] - Restoring file 5 (/var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/nsuniqueid.db)
[26/Dec/2014:18:50:50 +051800] - Restoring file 6 (/var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/objectclass.db)
[26/Dec/2014:18:50:50 +051800] - Restoring file 7 (/var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/cn.db)
[26/Dec/2014:18:50:50 +051800] - Restoring file 8 (/var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/aci.db)
[26/Dec/2014:18:50:50 +051800] - Restoring file 9 (/var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/numsubordinates.db)
[26/Dec/2014:18:50:50 +051800] - Restoring file 10 (/var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/ancestorid.db)
[26/Dec/2014:18:50:50 +051800] - Restoring file 11 (/var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/DBVERSION)
[26/Dec/2014:18:50:50 +051800] - Copying /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak/userRoot/DBVERSION to /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/DBVERSION
[26/Dec/2014:18:50:50 +051800] - I'm resizing my cache now...cache was 6400000 and is now 5120000
[26/Dec/2014:18:50:50 +051800] - All database threads now stopped
[26/Dec/2014:18:50:50 +051800] - Restore: Removing staging area /var/lib/dirsrv/slapd-dhcp201-126/db/../fribak.

 ./bakchk.sh /var/lib/dirsrv/slapd-dhcp201-126/bak/dhcp201-126-2014_12_26_18_48_30/userRoot/ /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/
Checking aci.db ... PASS
Checking ancestorid.db ... PASS
Checking cn.db ... PASS
Checking entryrdn.db ... PASS
Checking id2entry.db ... PASS
Checking nsuniqueid.db ... PASS
Checking numsubordinates.db ... PASS
Checking objectclass.db ... PASS
Checking parentid.db ... PASS
Checking uniquemember.db ... PASS

Hence VERIFIED.

Comment 5 errata-xmlrpc 2015-03-05 09:33:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.